Skip to main content

Get an Event by ID

GEThttps://api.propexo.com/crm/v1/events/:event_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

event_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the event

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_agent_idstring | nullnullablerequired

    The external ID of the agent from the integration vendor

    Notice

    This field will always be null for FUNNEL

    x_community_idstringrequired

    The external ID of the community from the integration vendor

    Example: 1842
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    Notice

    This field will always be null for FUNNEL

    x_idstringrequired

    The external ID from the integration vendor

    Example: 5102847
    x_prospect_idstringrequired

    The external ID of the prospect from the integration vendor

    Example: 2039184
    appointment_datetimestring | nullnullablerequired

    The date when the appointment will occur

    Example: 2024-06-15T14:00:00.000Z
    appointment_duration_minutesnumber | nullnullablerequired

    The duration of the appointment, in minutes

    Notice

    This field will always be null for FUNNEL

    custom_data object | nullrequired
    object
    event_datetimestring | nullnullablerequired

    The date when the event will occur

    Notice

    This field will always be null for FUNNEL

    notesstring | nullnullablerequired

    Notes associated with the event

    Notice

    This field will always be null for FUNNEL

    type_rawstring | nullnullablerequired

    The raw type associated with the event

    Example: Guided
    agent_idstring | nullnullablerequired

    The Propexo unique identifier for the agent

    Notice

    This field will always be null for FUNNEL

    community_idstringrequired

    The Propexo unique identifier for the community

    Example: cm72k9nqa0001fnl1a8b2c3d4
    prospect_idstringrequired

    The Propexo unique identifier for the prospect

    Example: cm72k9nqa0002fnl2e9f0a1b2
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum29required

    The CRM system of record

    Show 5 enum values
    FUNNELELISEAIFUNNELRENTCAFEKNOCK
    Example: FUNNEL

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /crm/v1/events/:event_id
curl https://api.propexo.com/crm/v1/events/:event_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_agent_id": "string",
"x_community_id": "1842",
"x_created_at": "string",
"x_id": "5102847",
"x_prospect_id": "2039184",
"appointment_datetime": "2024-06-15T14:00:00.000Z",
"appointment_duration_minutes": 0,
"custom_data": "Unknown Type: object,null",
"event_datetime": "string",
"notes": "string",
"type_raw": "Guided",
"agent_id": "string",
"community_id": "cm72k9nqa0001fnl1a8b2c3d4",
"prospect_id": "cm72k9nqa0002fnl2e9f0a1b2",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "FUNNEL"
}
}